org.apache.olingo.client.api.domain

## Interface ClientLinked

- All Known Subinterfaces:
    ClientComplexValue, ClientEntity, ClientSingleton

      public interface ClientLinked

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addLink(ClientLink link)` Puts the given link into one of available lists, based on its type.
    `ClientLink` | `getAssociationLink(String name)` Gets association link with given name, if available, otherwise `null`.
    `List<ClientLink>` | `getAssociationLinks()` Returns all entity association links.
    `ClientLink` | `getNavigationLink(String name)` Gets navigation link with given name, if available, otherwise `null`.
    `List<ClientLink>` | `getNavigationLinks()` Returns all entity navigation links (including inline entities / entity sets).
    `boolean` | `removeLink(ClientLink link)` Removes the given link from any list (association, navigation, edit-media).

- - ### Method Detail

    - #### addLink

          boolean addLink(ClientLink link)

      Puts the given link into one of available lists, based on its type.
      Parameters:
        `link` - to be added
      Returns:
        `true` if the given link was added in one of available lists

    - #### removeLink

          boolean removeLink(ClientLink link)

      Removes the given link from any list (association, navigation, edit-media).
      Parameters:
        `link` - to be removed
      Returns:
        `true` if the given link was contained in one of available lists

    - #### getAssociationLink

          ClientLink getAssociationLink(String name)

      Gets association link with given name, if available, otherwise `null`.
      Parameters:
        `name` - candidate link name
      Returns:
        association link with given name, if available, otherwise `null`

    - #### getAssociationLinks

          List<ClientLink> getAssociationLinks()

      Returns all entity association links.
      Returns:
        OData entity links.

    - #### getNavigationLink

          ClientLink getNavigationLink(String name)

      Gets navigation link with given name, if available, otherwise `null`.
      Parameters:
        `name` - candidate link name
      Returns:
        navigation link with given name, if available, otherwise `null`

    - #### getNavigationLinks

          List<ClientLink> getNavigationLinks()

      Returns all entity navigation links (including inline entities / entity sets).
      Returns:
        OData entity links.

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.